<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ParticleObj Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_particle_obj.html">ParticleObj</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_particle_obj-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ParticleObj Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_particle_obj_8h_source.html">ParticleObj.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::ParticleObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_particle_obj__inherit__graph.png" border="0" usemap="#eic_1_1_particle_obj_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_particle_obj_inherit__map" id="eic_1_1_particle_obj_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::ParticleObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_particle_obj__coll__graph.png" border="0" usemap="#eic_1_1_particle_obj_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_particle_obj_coll__map" id="eic_1_1_particle_obj_coll__map">
<area shape="rect" id="node3" href="classeic_1_1_particle_data.html" title="eic::ParticleData" alt="" coords="102,95,221,121"/>
<area shape="rect" id="node4" href="classeic_1_1_vector_px_py_pz_m.html" title="eic::VectorPxPyPzM" alt="" coords="12,5,156,32"/>
<area shape="rect" id="node5" href="classeic_1_1_vector_x_y_z_t.html" title="eic::VectorXYZT" alt="" coords="181,5,299,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4d9d29573ad35c91ab5aa176854c130d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_obj.html#a4d9d29573ad35c91ab5aa176854c130d">ParticleObj</a> ()</td></tr>
<tr class="memdesc:a4d9d29573ad35c91ab5aa176854c130d"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="#a4d9d29573ad35c91ab5aa176854c130d">More...</a><br /></td></tr>
<tr class="separator:a4d9d29573ad35c91ab5aa176854c130d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a019ea20ebcc099576d69592bb679faae"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_obj.html#a019ea20ebcc099576d69592bb679faae">ParticleObj</a> (const <a class="el" href="classeic_1_1_particle_obj.html">ParticleObj</a> &amp;)</td></tr>
<tr class="memdesc:a019ea20ebcc099576d69592bb679faae"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor (does a deep-copy of relation containers)  <a href="#a019ea20ebcc099576d69592bb679faae">More...</a><br /></td></tr>
<tr class="separator:a019ea20ebcc099576d69592bb679faae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a404277b547cdbc3899431758f87b3cc4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_obj.html#a404277b547cdbc3899431758f87b3cc4">ParticleObj</a> (const podio::ObjectID id, <a class="el" href="classeic_1_1_particle_data.html">ParticleData</a> <a class="el" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a>)</td></tr>
<tr class="separator:a404277b547cdbc3899431758f87b3cc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcaa69e1d3ce584ae657fbfe67232ecc"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_obj.html#abcaa69e1d3ce584ae657fbfe67232ecc">~ParticleObj</a> ()</td></tr>
<tr class="separator:abcaa69e1d3ce584ae657fbfe67232ecc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a071183104206fc02db0787076786a9d8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_particle_data.html">ParticleData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_obj.html#a071183104206fc02db0787076786a9d8">data</a></td></tr>
<tr class="separator:a071183104206fc02db0787076786a9d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_particle_obj_8h_source.html#l00018">18</a> of file <a class="el" href="_particle_obj_8h_source.html">ParticleObj.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4d9d29573ad35c91ab5aa176854c130d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d9d29573ad35c91ab5aa176854c130d">&#9670;&nbsp;</a></span>ParticleObj() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ParticleObj::ParticleObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor </p>

<p class="definition">Definition at line <a class="el" href="_particle_obj_8cc_source.html#l00006">6</a> of file <a class="el" href="_particle_obj_8cc_source.html">ParticleObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">data</a>.</p>

</div>
</div>
<a id="a019ea20ebcc099576d69592bb679faae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a019ea20ebcc099576d69592bb679faae">&#9670;&nbsp;</a></span>ParticleObj() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ParticleObj::ParticleObj </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_particle_obj.html">ParticleObj</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor (does a deep-copy of relation containers) </p>

<p class="definition">Definition at line <a class="el" href="_particle_obj_8cc_source.html#l00015">15</a> of file <a class="el" href="_particle_obj_8cc_source.html">ParticleObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">data</a>.</p>

</div>
</div>
<a id="a404277b547cdbc3899431758f87b3cc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a404277b547cdbc3899431758f87b3cc4">&#9670;&nbsp;</a></span>ParticleObj() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ParticleObj::ParticleObj </td>
          <td>(</td>
          <td class="paramtype">const podio::ObjectID&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_particle_data.html">ParticleData</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>constructor from ObjectID and <a class="el" href="classeic_1_1_particle_data.html">ParticleData</a> does not initialize the internal relation containers </p>

<p class="definition">Definition at line <a class="el" href="_particle_obj_8cc_source.html#l00011">11</a> of file <a class="el" href="_particle_obj_8cc_source.html">ParticleObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_obj_8h_source.html#l00030">data</a>.</p>

</div>
</div>
<a id="abcaa69e1d3ce584ae657fbfe67232ecc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcaa69e1d3ce584ae657fbfe67232ecc">&#9670;&nbsp;</a></span>~ParticleObj()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::ParticleObj::~ParticleObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_obj_8cc_source.html#l00021">21</a> of file <a class="el" href="_particle_obj_8cc_source.html">ParticleObj.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a071183104206fc02db0787076786a9d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a071183104206fc02db0787076786a9d8">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_particle_data.html">ParticleData</a> eic::ParticleObj::data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_obj_8h_source.html#l00030">30</a> of file <a class="el" href="_particle_obj_8h_source.html">ParticleObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_const_8cc_source.html#l00020">eic::ConstParticle::ConstParticle()</a>, <a class="el" href="_particle_const_8cc_source.html#l00053">eic::ConstParticle::m()</a>, <a class="el" href="_particle_8cc_source.html#l00055">eic::Particle::m()</a>, <a class="el" href="_particle_const_8cc_source.html#l00049">eic::ConstParticle::p()</a>, <a class="el" href="_particle_8cc_source.html#l00051">eic::Particle::p()</a>, <a class="el" href="_particle_8cc_source.html#l00020">eic::Particle::Particle()</a>, <a class="el" href="_particle_obj_8cc_source.html#l00006">ParticleObj()</a>, <a class="el" href="_particle_const_8cc_source.html#l00059">eic::ConstParticle::pid()</a>, <a class="el" href="_particle_8cc_source.html#l00061">eic::Particle::pid()</a>, <a class="el" href="_particle_const_8cc_source.html#l00050">eic::ConstParticle::px()</a>, <a class="el" href="_particle_8cc_source.html#l00052">eic::Particle::px()</a>, <a class="el" href="_particle_const_8cc_source.html#l00051">eic::ConstParticle::py()</a>, <a class="el" href="_particle_8cc_source.html#l00053">eic::Particle::py()</a>, <a class="el" href="_particle_const_8cc_source.html#l00052">eic::ConstParticle::pz()</a>, <a class="el" href="_particle_8cc_source.html#l00054">eic::Particle::pz()</a>, <a class="el" href="_particle_const_8cc_source.html#l00060">eic::ConstParticle::status()</a>, <a class="el" href="_particle_8cc_source.html#l00062">eic::Particle::status()</a>, <a class="el" href="_particle_const_8cc_source.html#l00058">eic::ConstParticle::t()</a>, <a class="el" href="_particle_8cc_source.html#l00060">eic::Particle::t()</a>, <a class="el" href="_particle_const_8cc_source.html#l00054">eic::ConstParticle::v()</a>, <a class="el" href="_particle_8cc_source.html#l00056">eic::Particle::v()</a>, <a class="el" href="_particle_const_8cc_source.html#l00055">eic::ConstParticle::x()</a>, <a class="el" href="_particle_8cc_source.html#l00057">eic::Particle::x()</a>, <a class="el" href="_particle_const_8cc_source.html#l00056">eic::ConstParticle::y()</a>, <a class="el" href="_particle_8cc_source.html#l00058">eic::Particle::y()</a>, <a class="el" href="_particle_const_8cc_source.html#l00057">eic::ConstParticle::z()</a>, and <a class="el" href="_particle_8cc_source.html#l00059">eic::Particle::z()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_particle_obj_8h_source.html">ParticleObj.h</a></li>
<li>src/<a class="el" href="_particle_obj_8cc_source.html">ParticleObj.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
